<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@android:color/transparent"
    android:layout_width="match_parent"
    android:layout_height="match_parent">



    <TextView
        android:id="@+id/batteryProgress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/twelve"
        android:layout_marginRight="12dp"
        android:indeterminate="false"
        android:textSize="18sp"
        android:text="빠떼뤼 ~> 0%"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <rasel.lunar.launcher.view.DateTimeView
        android:layout_margin="10dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/base_bg"
        android:text="this is init sentence"
        android:id="@+id/time"
        android:gravity="center"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/batteryProgress"
        android:textSize="16sp"
        tools:ignore="MissingConstraints" />

    <ImageView
        android:id="@+id/next_play"
        android:src="@drawable/play_song"
        app:layout_constraintRight_toRightOf="@id/time"
        app:layout_constraintTop_toTopOf="@id/time"
        app:layout_constraintBottom_toBottomOf="@id/time"
        android:layout_width="40dp"
        android:layout_margin="5dp"
        android:layout_height="40dp"/>

    <rasel.lunar.launcher.view.CircleImageView
        app:layout_constraintLeft_toLeftOf="@id/time"
        app:layout_constraintTop_toTopOf="@id/time"
        app:layout_constraintBottom_toBottomOf="@id/time"
        android:layout_marginTop="2.5dp"
        android:layout_marginLeft="5dp"
        android:layout_marginRight="5dp"
        android:layout_marginBottom="2.5dp"
        android:adjustViewBounds="true"
        android:scaleType="fitCenter"
        android:background="@null"
        android:layout_width="wrap_content"
        app:civ_border_width="1dp"
        app:civ_border_color="#000000"
        app:civ_label="택시"

        android:layout_margin="5dp"
        android:visibility="gone"
        android:layout_height="0dp"
        android:src="@drawable/kakaot"
        android:id="@+id/alchol_katalkT"/>

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/weather"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:maxLines="1"
        android:textIsSelectable="false"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/time"
        />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/current_music"
        app:layout_constraintTop_toBottomOf="@id/weather"
        app:layout_constraintLeft_toLeftOf="parent"
        android:background="@drawable/base_bg"
        android:layout_margin="10dp"
        android:padding="5dp"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <com.google.android.material.imageview.ShapeableImageView
            app:shapeAppearanceOverlay="@style/roundedImageView"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:id="@+id/album_art"
            android:adjustViewBounds="true"
            android:scaleType="fitCenter"
            android:layout_width="90dp"
            android:layout_height="90dp"/>
        <TextView
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintLeft_toRightOf="@id/album_art"
            app:layout_constraintRight_toRightOf="parent"
            android:gravity="right"
            android:layout_width="0dp"
            android:id="@+id/artist"
            android:layout_height="wrap_content"/>
        <TextView
            app:layout_constraintTop_toBottomOf="@id/artist"
            android:id="@+id/title"
            android:gravity="center"
            android:textSize="16dp"
            app:layout_constraintBottom_toBottomOf="@id/album_art"
            app:layout_constraintLeft_toRightOf="@id/album_art"
            app:layout_constraintRight_toRightOf="parent"
            android:layout_width="0dp"
            android:layout_height="wrap_content"/>

        <ImageView
            android:id="@+id/next_btn"
            android:src="@drawable/next_song"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            android:layout_width="40dp"
            android:layout_height="40dp"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <include
        android:id="@+id/noticeSummary"
        layout="@layout/recommended_hourly_dress"
        android:layout_margin="10dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/current_music"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>


    <LinearLayout
        android:layout_margin="10dp"
        android:layout_marginTop="20dp"
        android:id="@+id/summaryChoose"
        android:layout_width="0dp"
        android:gravity="center"
        android:background="@drawable/base_bg"
        app:layout_constraintLeft_toLeftOf="parent"
        android:orientation="horizontal"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_height="40dp"
        app:layout_constraintTop_toBottomOf="@+id/noticeSummary"
        >

        <TextView
            android:id="@+id/missedCalls"
            android:gravity="center"
            android:textColor="@color/tabs"
            android:text="전화"
            android:background="@null"
            android:checked="true"
            android:layout_weight="1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/otherCheck"
            android:gravity="center"
            android:background="@null"
            android:text="투두"
            android:textColor="@color/tabs"
            android:checked="false"
            android:layout_weight="1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/recentSms"
            android:gravity="center"
            android:background="@null"
            android:text="문자"
            android:textColor="@color/tabs"
            android:checked="false"
            android:layout_weight="1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/notice"
            android:gravity="center"
            android:background="@null"
            android:text="알림"
            android:textColor="@color/tabs"
            android:checked="false"
            android:layout_weight="1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@+id/summaryChoose"
        app:layout_constraintBottom_toTopOf="@id/favAppsGroup"
        >

        <androidx.recyclerview.widget.RecyclerView
            android:layout_margin="10dp"
            android:id="@+id/mainList"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:overScrollMode="never"
            android:padding="5dp"
            android:visibility="gone"
            android:background="@drawable/base_bg"
            android:scrollbars="none"
            android:layout_alignParentTop="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true"
            />
        <androidx.recyclerview.widget.RecyclerView
            android:layout_margin="10dp"
            android:id="@+id/smsList"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:overScrollMode="never"
            android:padding="5dp"
            android:scrollbars="none"
            android:visibility="gone"
            android:background="@drawable/base_bg"
            android:layout_alignParentTop="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true"

            />

        <androidx.recyclerview.widget.RecyclerView
            android:layout_margin="10dp"
            android:id="@+id/infoList"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:overScrollMode="never"
            android:padding="5dp"
            android:scrollbars="none"
            android:visibility="gone"
            android:background="@drawable/base_bg"
            android:layout_alignParentTop="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true"
            />


        <androidx.recyclerview.widget.RecyclerView
            android:layout_margin="10dp"
            android:id="@+id/notiList"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:overScrollMode="never"
            android:padding="5dp"
            android:scrollbars="none"
            android:visibility="gone"
            android:background="@drawable/base_bg"
            android:layout_alignParentTop="true"
            android:layout_alignParentLeft="true"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true"
            />

    </RelativeLayout>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_margin="10dp"
        android:id="@+id/favAppsGroup"
        android:layout_width="@dimen/zero"
        android:layout_height="60dp"
        android:layout_marginTop="@dimen/twentyTwo"
        android:layout_marginBottom="@dimen/twelve"
        android:background="@drawable/base_bg"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>